Bug 155070 - NEW PORT: games/CastleVox - new fast strategy board game
NEW PORT: games/CastleVox - new fast strategy board game
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-26 18:30 UTC by gamato
Modified: 2012-10-04 18:00 UTC (History)
0 users

See Also:


Attachments
file.shar (6.29 KB, text/plain)
2011-02-26 18:30 UTC, gamato
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gamato 2011-02-26 18:30:09 UTC
This is a new port of Castle Vox, a fast, world domination, strategy board game.

Fix: Patch attached with submission follows:
Comment 1 Eitan Adler freebsd_committer 2011-10-18 22:57:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 2 Eitan Adler freebsd_committer 2011-10-19 22:44:40 UTC
State Changed
From-To: open->feedback

fails to fetch
Comment 3 Eitan Adler freebsd_committer 2012-02-13 05:24:47 UTC
State Changed
From-To: feedback->open

try again
Comment 4 Eitan Adler freebsd_committer 2012-02-19 03:41:35 UTC
Responsible Changed
From-To: eadler->freebsd-ports-bugs

I Can't deal with this one now
Comment 5 jgh@FreeBSD.org freebsd_committer 2012-06-14 06:51:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 6 dfilter freebsd_committer 2012-10-04 17:58:00 UTC
Author: jgh
Date: Thu Oct  4 16:57:49 2012
New Revision: 305268
URL: http://svn.freebsd.org/changeset/ports/305268

Log:
  add new port: games/castlevox
  
  Castle Vox is a next generation computer strategy board game.
  Capture all the enemy Castles to win!
  
  Features:
  
   - Fast world domination.
   - Plan attacks simultaneously.
   - Collaborate with teammates.
  
   - Maps from history and fantasy.
   - Giant maps with many players.
   - Map editor included.
  
   - Hard AI will push your brain in single-player matches.
   - Online multi-player modes: relaxed and speed variants.
   - Achievements.
  
   - Easy to learn, hard to master.
   - Mixes elements from Diplomacy and Axis & Allies board games.
   - Available for Mac OS X, Linux, and Windows.
  
  WWW: http://sillysoft.net/vox/
  
  PR:		155070
  Submitted by:	gamato@users.sf.net

Added:
  head/games/castlevox/
  head/games/castlevox/Makefile   (contents, props changed)
  head/games/castlevox/distinfo   (contents, props changed)
  head/games/castlevox/files/
  head/games/castlevox/files/CastleVox.in   (contents, props changed)
  head/games/castlevox/pkg-descr   (contents, props changed)
  head/games/castlevox/pkg-plist   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Thu Oct  4 16:52:30 2012	(r305267)
+++ head/games/Makefile	Thu Oct  4 16:57:49 2012	(r305268)
@@ -118,6 +118,7 @@
     SUBDIR += cake
     SUBDIR += caph
     SUBDIR += cardpics
+    SUBDIR += castlevox
     SUBDIR += cave9
     SUBDIR += cavezofphear
     SUBDIR += ceferino

Added: head/games/castlevox/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/castlevox/Makefile	Thu Oct  4 16:57:49 2012	(r305268)
@@ -0,0 +1,32 @@
+# Created by:			Martin Otto
+#
+# $FreeBSD$
+
+PORTNAME=	CastleVox
+PORTVERSION=	1.2
+CATEGORIES=	games java
+MASTER_SITES=	http://sillysoft.net/download/
+DISTNAME=	CastleVox-linux
+
+MAINTAINER=	gamato@users.sf.net
+COMMENT=	A fast world domination game
+
+FETCH_ARGS=	-Fpr
+USE_JAVA=	yes
+JAVA_VERSION=	1.6+
+
+WRKSRC=		${WRKDIR}/CastleVoxPC
+DATADIR=	${JAVASHAREDIR}/${PORTNAME}
+NO_BUILD=	yes
+
+SUB_FILES=	CastleVox
+
+do-install:
+	@${MKDIR} ${DATADIR}
+	(cd ${WRKSRC}/ && ${COPYTREE_SHARE} \*.jar ${DATADIR})
+	${INSTALL_DATA} ${WRKSRC}/VoxIcon.png ${DATADIR}
+	(cd ${WRKSRC}/ && ${COPYTREE_SHARE} Support ${DATADIR})
+	(cd ${WRKSRC}/ && ${COPYTREE_SHARE} docs ${DATADIR})
+	${INSTALL_SCRIPT} ${WRKDIR}/CastleVox ${PREFIX}/bin
+
+.include <bsd.port.mk>

Added: head/games/castlevox/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/castlevox/distinfo	Thu Oct  4 16:57:49 2012	(r305268)
@@ -0,0 +1,2 @@
+SHA256 (CastleVox-linux.tar.gz) = 9fb7fffc3b8e15ca947f056f494cffc612d092e53a073538f382ca7b84132880
+SIZE (CastleVox-linux.tar.gz) = 27979326

Added: head/games/castlevox/files/CastleVox.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/castlevox/files/CastleVox.in	Thu Oct  4 16:57:49 2012	(r305268)
@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# $FreeBSD$
+
+echo "Castle Vox: Starting up..."
+cd "%%DATADIR%%"
+JAVA_VERSION="%%JAVA_VERSION%%" exec "%%LOCALBASE%%/bin/java" \
+-Djava.ext.dirs="%%DATADIR%%" -jar "%%DATADIR%%/VoxCore.jar" "$@"

Added: head/games/castlevox/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/castlevox/pkg-descr	Thu Oct  4 16:57:49 2012	(r305268)
@@ -0,0 +1,22 @@
+Castle Vox is a next generation computer strategy board game.
+Capture all the enemy Castles to win!
+
+Features:
+
+ - Fast world domination.
+ - Plan attacks simultaneously.
+ - Collaborate with teammates.
+
+ - Maps from history and fantasy.
+ - Giant maps with many players.
+ - Map editor included.
+ 
+ - Hard AI will push your brain in single-player matches.
+ - Online multi-player modes: relaxed and speed variants.
+ - Achievements.
+
+ - Easy to learn, hard to master.
+ - Mixes elements from Diplomacy and Axis & Allies board games.
+ - Available for Mac OS X, Linux, and Windows.
+
+WWW: http://sillysoft.net/vox/

Added: head/games/castlevox/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/castlevox/pkg-plist	Thu Oct  4 16:57:49 2012	(r305268)
@@ -0,0 +1,75 @@
+bin/CastleVox
+%%DATADIR%%/VoxCore.jar
+%%DATADIR%%/VoxIcon.png
+%%DATADIR%%/jide-charts.jar
+%%DATADIR%%/jide-common.jar
+%%DATADIR%%/jogg-0.0.7.jar
+%%DATADIR%%/jorbis-0.0.15.jar
+%%DATADIR%%/tritonus_share.jar
+%%DATADIR%%/vorbisspi1.0.3.jar
+%%DATADIR%%/Support/Maps/Hex Barons.voxb
+%%DATADIR%%/Support/Maps/Tutorial Map.voxb
+%%DATADIR%%/Support/Maps/World War II.voxb
+%%DATADIR%%/Support/Music/CV_Civil War.ogg
+%%DATADIR%%/Support/Music/CV_Main Theme.ogg
+%%DATADIR%%/Support/Music/CV_Medieval.ogg
+%%DATADIR%%/Support/Music/CV_Modern Military.ogg
+%%DATADIR%%/Support/Music/CV_Roman.ogg
+%%DATADIR%%/Support/Music/CV_Victory.ogg
+%%DATADIR%%/Support/Themes/MB Hex Barons/overground.png
+%%DATADIR%%/Support/Themes/MB Hex Barons/updater1.txt
+%%DATADIR%%/Support/Themes/MB Hex Barons/updater2.txt
+%%DATADIR%%/Support/Themes/MB Hex Barons/updater3.txt
+%%DATADIR%%/Support/Themes/MB Hex Barons/updater4.txt
+%%DATADIR%%/Support/Themes/MB Hex Barons/updater5.txt
+%%DATADIR%%/Support/Themes/MB WW2 World/foreground.jpg
+%%DATADIR%%/Support/Themes/MB WW2 World/overground.png
+%%DATADIR%%/Support/Themes/MB WW2 World/unit_castle.png
+%%DATADIR%%/Support/Themes/MB WW2 World/unit_knight.png
+%%DATADIR%%/Support/Themes/MB WW2 World/unit_pawn.png
+%%DATADIR%%/Support/Themes/MB WW2 World/updater1.txt
+%%DATADIR%%/Support/Themes/MB WW2 World/updater2.txt
+%%DATADIR%%/Support/Themes/MB WW2 World/updater3.txt
+%%DATADIR%%/Support/Themes/MB WW2 World/updater4.txt
+%%DATADIR%%/Support/Themes/MB WW2 World/updater5.txt
+%%DATADIR%%/Support/Themes/MB WW2 World/updater6.txt
+%%DATADIR%%/Support/Themes/MB WW2 World/updater7.txt
+%%DATADIR%%/Support/Themes/MB WW2 World/updater8.txt
+%%DATADIR%%/Support/Themes/MB WW2 World/updater9.txt
+%%DATADIR%%/Support/Themes/Tutorial Map/foreground.jpg
+%%DATADIR%%/Support/Themes/Tutorial Map/overground.png
+%%DATADIR%%/Support/Themes/Tutorial Map/updater1.txt
+%%DATADIR%%/Support/Themes/Tutorial Map/updater2.txt
+%%DATADIR%%/Support/Themes/Tutorial Map/updater3.txt
+%%DATADIR%%/Support/Themes/Tutorial Map/updater4.txt
+%%DATADIR%%/Support/Themes/Tutorial Map/updater5.txt
+%%DATADIR%%/docs/Castle_Vox_Instructions.html
+%%DATADIR%%/docs/Castle_Vox_Shortcuts.html
+%%DATADIR%%/docs/Castle_Vox_Version_History.html
+%%DATADIR%%/docs/docs_files/Bonus.png
+%%DATADIR%%/docs/docs_files/Chat.png
+%%DATADIR%%/docs/docs_files/Conflict.png
+%%DATADIR%%/docs/docs_files/Main_Interface.png
+%%DATADIR%%/docs/docs_files/Network.png
+%%DATADIR%%/docs/docs_files/PIwindow.png
+%%DATADIR%%/docs/docs_files/Plugins.png
+%%DATADIR%%/docs/docs_files/Units_castle.png
+%%DATADIR%%/docs/docs_files/Units_knight.png
+%%DATADIR%%/docs/docs_files/Units_pawn.png
+%%DATADIR%%/docs/docs_files/bg.jpg
+%%DATADIR%%/docs/docs_files/footer.jpg
+%%DATADIR%%/docs/docs_files/header.jpg
+%%DATADIR%%/docs/docs_files/moving.png
+%%DATADIR%%/docs/docs_files/prefs.png
+%%DATADIR%%/docs/docs_files/recruit.png
+%%DATADIR%%/docs/docs_files/teammate.png
+@dirrm %%DATADIR%%/docs/docs_files
+@dirrm %%DATADIR%%/docs
+@dirrm %%DATADIR%%/Support/Themes/Tutorial Map
+@dirrm %%DATADIR%%/Support/Themes/MB WW2 World
+@dirrm %%DATADIR%%/Support/Themes/MB Hex Barons
+@dirrm %%DATADIR%%/Support/Themes
+@dirrm %%DATADIR%%/Support/Music
+@dirrm %%DATADIR%%/Support/Maps
+@dirrm %%DATADIR%%/Support
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 jgh@FreeBSD.org freebsd_committer 2012-10-04 17:58:13 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!